[@rxap/forms](../wiki/globals) / FormControlMarkUntouchedDirective

# Class: FormControlMarkUntouchedDirective

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-untouched.directive.ts:12](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-control-mark-untouched.directive.ts#L12)

## Constructors

### new FormControlMarkUntouchedDirective()

> **new FormControlMarkUntouchedDirective**(`parent`): [`FormControlMarkUntouchedDirective`](../wiki/Class.FormControlMarkUntouchedDirective)

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-untouched.directive.ts:14](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-control-mark-untouched.directive.ts#L14)

#### Parameters

##### parent

`ControlContainer`

#### Returns

[`FormControlMarkUntouchedDirective`](../wiki/Class.FormControlMarkUntouchedDirective)

## Methods

### onClick()

> **onClick**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-untouched.directive.ts:18](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-control-mark-untouched.directive.ts#L18)

#### Returns

`void`
